/*
	PointStack class: quick-and-dirty class to use for Flood fill routines &
	stuff.
	Released under GNU Public License
	Copyright 2001 BePhotoMagic Dev Team
	Written by DarkWyrm
*/
#include "PointStack.h"

PointStack::PointStack(void)
{
	_ptcount=0;
}

PointStack::~PointStack(void)
{
}

void PointStack::Push(BPoint pt)
{
	_stack[_ptcount++]=pt;
}

void PointStack::Pop(BPoint *pt)
{
	pt->x=_stack[--_ptcount].x;
	pt->y=_stack[_ptcount].y;
//	return _stack[_ptcount--];
}

void PointStack::Clear(void)
{	_ptcount=0;
}

uint32 PointStack::Count(void)
{	return _ptcount;
}